Bug 1049675 (CVE-2014-0002)

Summary: CVE-2014-0002 Camel: XML eXternal Entity (XXE) flaw in XSLT component
Product: [Other] Security Response Reporter: David Jorm <djorm>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: chazlett, jrusnack, mjc, security-response-team, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-30 20:00:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1049696, 1051988, 1051989    
Bug Blocks: 1049694, 1050743, 1058944, 1062718, 1072116    

Description David Jorm 2014-01-08 01:57:25 UTC
It was found that the Apache Camel XSLT component would resolve entities in XML messages when transforming them using an xslt: route. A remote attacker able to submit messages to an xslt: Camel route could use this flaw to read files accessible to the user running the application server, and potentially perform other more advanced XXE attacks.

Comment 1 Murray McAllister 2014-01-08 03:01:05 UTC
Acknowledgements:

This issue was discovered by David Jorm of the Red Hat Security Response Team.

Comment 6 Vincent Danen 2014-02-28 21:31:13 UTC
External References:

http://camel.apache.org/security-advisories.data/CVE-2014-0002.txt.asc

Comment 7 errata-xmlrpc 2014-03-24 18:05:36 UTC
This issue has been addressed in following products:

  Red Hat JBoss Fuse and A-MQ 6.0.0 R1 P3

Via RHSA-2014:0323 https://rhn.redhat.com/errata/RHSA-2014-0323.html

Comment 8 errata-xmlrpc 2014-04-03 21:23:08 UTC
This issue has been addressed in following products:

  Red Hat JBoss BPM Suite 6.0.1

Via RHSA-2014:0371 https://rhn.redhat.com/errata/RHSA-2014-0371.html

Comment 9 errata-xmlrpc 2014-04-03 21:31:03 UTC
This issue has been addressed in following products:

  Red Hat JBoss BRMS 6.0.1

Via RHSA-2014:0372 https://rhn.redhat.com/errata/RHSA-2014-0372.html

Comment 10 errata-xmlrpc 2014-04-30 18:51:07 UTC
This issue has been addressed in following products:

  Fuse ESB Enterprise/MQ Enterprise 7.1.0 R1 P3

Via RHSA-2014:0452 https://rhn.redhat.com/errata/RHSA-2014-0452.html

Comment 11 errata-xmlrpc 2014-04-30 19:01:59 UTC
This issue has been addressed in following products:

  Red Hat JBoss Fuse Service Works 6.0.0

Via RHSA-2014:0459 https://rhn.redhat.com/errata/RHSA-2014-0459.html